pk-details-obj
3
PACKAGEKIT Library

# pk-details-obj

Functionality to create a details struct

## Synopsis

    PkDetailsObj *      pk_details_obj_new                  (void);
    PkDetailsObj *      pk_details_obj_copy                 (const PkDetailsObj *obj);
    PkDetailsObj *      pk_details_obj_new_from_data        (const PkPackageId *id,
                                                             const gchar *license,
                                                             PkGroupEnum group,
                                                             const gchar *description,
                                                             const gchar *url,
                                                             guint64 size);
    gboolean            pk_details_obj_free                 (PkDetailsObj *obj);

## Description

## Details

### pk_details_obj_new ()

    PkDetailsObj *      pk_details_obj_new                  (void);

Creates a new PkDetailsObj object with default values

Returns :

  a new PkDetailsObj object

### pk_details_obj_copy ()

    PkDetailsObj *      pk_details_obj_copy                 (const PkDetailsObj *obj);

`obj` :

Returns :

  a new PkDetailsObj object

### pk_details_obj_new_from_data ()

    PkDetailsObj *      pk_details_obj_new_from_data        (const PkPackageId *id,
                                                             const gchar *license,
                                                             PkGroupEnum group,
                                                             const gchar *description,
                                                             const gchar *url,
                                                             guint64 size);

Creates a new PkDetailsObj object with values.

`id` :

`license` :

`group` :

`description` :

`url` :

`size` :

Returns :

  a new PkDetailsObj object

### pk_details_obj_free ()

    gboolean            pk_details_obj_free                 (PkDetailsObj *obj);

`obj` :

  the PkDetailsObj object

Returns :

  `TRUE` if the PkDetailsObj object was freed.